> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Place Phone Call

> Use this API endpoint to immediately initiate a call to a specified number.

### Authorizations

<ParamField header="x-api-key" type="string" required />

### Path Parameters

<ParamField path="workspaceId" type="string" required>
  The ID associated with a workspace.
</ParamField>

<ParamField path="assistantId" type="string" required>
  The ID associated with an assistant.
</ParamField>

### Body Parameters

***

<ParamField body="fromNumber" type="string" required>
  The number from which the call will be placed and it should be linked to the assistant.
</ParamField>

<ParamField body="toNumber" type="string" required>
  The number to which the call will be placed
</ParamField>

<ParamField body="priority" type="number" default={1}>
  Indicates the priority level assigned to the call. <br /> Allowed Values: `0`, `1`, `2`. <br /> Where, <br />
  `0 = Low Priority` <br /> `1 = Medium Prioriry` <br /> `2 = High Priority`
</ParamField>

<ParamField body="attributes" type="object">
  Additional attributes for the call

  <Expandable title="Properties">
    <ParamField body="customField1" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField2" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField3" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField4" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField5" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField6" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField7" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField8" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>
  </Expandable>
</ParamField>

### Response

***

<ResponseField name="msg" type="string">
  Confirmation message indicating the call was placed
</ResponseField>

<ResponseField name="status" type="string">
  The status of the call
</ResponseField>

<ResponseField name="callId" type="string">
  A newly created Id for the call
</ResponseField>

<ResponseExample>
  ```json 201 theme={null}
  {
  "msg": "Call placed to {toNumber}",
  "status": "placed",
  "callId": "The queueId of the call"
  }
  ```

  ```json 202 theme={null}
  { 
  "msg": "Call to {toNumber} been queued due to concurrent call limit",
  "status": "queued",
  "callId": "The queueId of the call"
  }
  ```

  ```json 400 theme={null}
  {
  "msg": "string"
  }
  ```

  ```json 401 theme={null}
  {
    "msg": "Api key is not valid"
  }
  ```

  ```json 403 theme={null}
  {
    "msg": "Forbidden"
  }
  ```

  ```json 500 theme={null}
  {
  "msg": "Server Error"
  }
  ```
</ResponseExample>

<Card title="Retrieve Call Properties Post-Call"> By adding a webhook, all call properties—such as summary, transcript, callStartTime, and more—are automatically sent via the webhook. Additionally, you can extract custom variables using the extraction option available in the Dashboard Modules section and include them in the same webhook. Note: Webhooks are triggered at the end of the call. </Card>
